Bug 255110 - dns/encrypted-dns-server: Update to 0.3.23
Summary: dns/encrypted-dns-server: Update to 0.3.23
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lewis Cook
URL: https://github.com/jedisct1/encrypted...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-16 08:38 UTC by Felix Hanley
Modified: 2021-04-20 10:52 UTC (History)
1 user (show)

See Also:
felix: maintainer-feedback+


Attachments
Update patch (43.28 KB, patch)
2021-04-16 08:38 UTC, Felix Hanley
no flags Details | Diff
Updated patch (43.27 KB, patch)
2021-04-19 23:40 UTC, Felix Hanley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Lewis Cook freebsd_committer freebsd_triage 2021-04-16 10:49:32 UTC
Moin moin,

Is it necessary we set PORTREVISION here?
Comment 2 Felix Hanley 2021-04-19 01:03:45 UTC
(In reply to Lewis Cook from comment #1)
I don't know if it is required at version 1?? I see plenty of others with it. Let me know if you want it removed.
Comment 3 Lewis Cook freebsd_committer freebsd_triage 2021-04-19 17:30:20 UTC
(In reply to Felix Hanley from comment #2)
As taken from the Porters handbook[1], section 5.2.3.1:

"PORTREVISION is a monotonically increasing value which is reset to 0 with every increase of DISTVERSION"

So in this case, it is not something we need to specify, since we are bumping DISTVERSION anyway - please feel free to update the patch removing it. Otherwise LGTM!

[1] https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-naming
Comment 4 Felix Hanley 2021-04-19 23:40:47 UTC
Created attachment 224267 [details]
Updated patch

Removed the portrevision var
Comment 5 commit-hook freebsd_committer 2021-04-20 10:51:56 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=45a4d45b166acd6956d4fb3ed7910a518c4595e4

commit 45a4d45b166acd6956d4fb3ed7910a518c4595e4
Author:     Lewis Cook <lcook@FreeBSD.org>
AuthorDate: 2021-04-20 10:48:00 +0000
Commit:     Lewis Cook <lcook@FreeBSD.org>
CommitDate: 2021-04-20 10:51:02 +0000

    dns/encrypted-dns-server: Update to 0.3.23

    Changes:        https://github.com/jedisct1/encrypted-dns-server/releases/tag/0.3.23
    PR:             255110
    Submitted by:   Felix Hanley <felix@userspace.com.au> (maintainer)

 dns/encrypted-dns-server/Makefile                  | 196 ++++++-----
 dns/encrypted-dns-server/distinfo                  | 368 ++++++++++-----------
 dns/encrypted-dns-server/files/encrypted_dns.in    |   2 +-
 ...go-crates_libsodium-sys-stable-1.19.11_build.rs |   4 +-
 4 files changed, 267 insertions(+), 303 deletions(-)
Comment 6 Lewis Cook freebsd_committer freebsd_triage 2021-04-20 10:52:42 UTC
Committed, thanks!